import { AxiosInstance } from "axios";
import { IConfig } from "./interface";
export declare class Base {
    config: IConfig;
    http: AxiosInstance;
    /**
     * 默认内存存储
     * ttl 秒后过期
     */
    storage: {
        cache: ObjectConstructor;
        set(k: string, v: string, ttl: number): void;
        get(k: string): string | Promise<string>;
    };
    constructor(config: IConfig);
    getAccessToken(refresh?: boolean): Promise<string>;
    /**
     * ===============================================
     * 以下调用微信API
     * ===============================================
     */
    /**
     * 直接从微信服务器获取 Token
     * https://mp.weixin.qq.com/wiki?t=resource/res_main&id=mp1421140183
     * https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/access-token/auth.getAccessToken.html
     */
    private getAccessTokenFromServer;
}
