import { OfficialAccount } from "../";
import { IUserOpenId } from "./interface";
import { IUserInfo } from "../user/interface";
/**
 * 微信网页授权
 * https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/Wechat_webpage_authorization.html
 */
export declare class MPOAuth {
    private oa;
    constructor(oa: OfficialAccount);
    /**
     * 跳转微信授权
     * https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/Wechat_webpage_authorization.html
     */
    redirect(redirect_uri: string, scope: "snsapi_base" | "snsapi_userinfo"): (req: any, res: any) => void;
    /**
     * 通过 Code 换取 OpenId
     * @param code
     */
    getUserAccessToken(code: string): Promise<IUserOpenId>;
    /**
     * 通过 access_token 换取 userinfo
     * @param access_token
     * @param openid
     * @param lang
     */
    getUserInfo(access_token: string, openid: string, lang?: string): Promise<IUserInfo>;
}
